const BS_NATIVE = function () {};
BS_NATIVE.prototype.version = '0.0.1';
const clearWindowsEnv = (callback) => {
    setTimeout(() => {
        delete(window)[callback];
    }, 10);
};
const sendNative = function (name, params, callback) {
    const paramsToJson = JSON.stringify({
        name,
        params
    })
    if (window.BS_ENV === 'IOS') {
        const pre = "BS_IOS_CALLBACK_"
        window[pre + name] = (data) => {
            callback(data ? data : null)
            clearWindowsEnv(pre + name)
        }
        window.webkit.messageHandlers.BS_NATIVE_IOS.postMessage(
            paramsToJson
        )
    }
    if (window.BS_ENV === 'Android') {
        const data =  window.BS_NATIVE_ANDROID.postMessageAndroid(
            paramsToJson
        )
        callback(JSON.parse(data));
    }
}
BS_NATIVE.prototype.requset = function (name, params, callback) {
    sendNative(name, params, callback)
}
const bs = new BS_NATIVE();
window.BS_NATIVE = bs;